feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.MutableReference

# Documentation

newtype Ref a

Constructors

Ref |
Fields unRef :: Data (IORef (Internal a))

Instances

Syntax a => Syntactic (Ref a) |
Syntax a => Syntax (Ref a) |

newRef :: Syntax a => a -> M (Ref a)

getRef :: Syntax a => Ref a -> M a

setRef :: Syntax a => Ref a -> a -> M ()

modifyRef :: Syntax a => Ref a -> (a -> a) -> M ()